[FTP] Create FTP account
curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/ftp-accounts/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"password": "<string>",
"directory": "/public_html",
"quota_mb": 0
}
'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/ftp-accounts/create"
payload = {
"username": "<string>",
"password": "<string>",
"directory": "/public_html",
"quota_mb": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
username: '<string>',
password: '<string>',
directory: '/public_html',
quota_mb: 0
})
};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/ftp-accounts/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": "<string>",
"directory": "<string>",
"quota_mb": 123,
"quota_used_mb": 123
}Web Hosting
[FTP] Create FTP account
Create a new FTP account for this hosting.
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
hosting
/
{id}
/
ftp-accounts
/
create
[FTP] Create FTP account
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Web hosting unique identifier
Organization unique identifier
Project unique identifier
Body
application/json
⌘I

